Package org.firebirdsql.jdbc

## Class FBResultSet

- java.lang.Object
- - org.firebirdsql.jdbc.AbstractResultSet
  - - org.firebirdsql.jdbc.FBResultSet

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `java.sql.ResultSet`, `java.sql.Wrapper`, `FBObjectListener.FetcherListener`, `FirebirdResultSet`, `Synchronizable`

      public class FBResultSet
      extends AbstractResultSet

  JDBC 4.2 implementation of `ResultSet` interface.

  Contains methods specific to the JDBC 4.2 implementation, or exists if there are methods in higher JDBC versions that cannot be defined in JDBC 4.2.

  Author:
    David Jencks, Roman Rokytskyy, Mark Rotteveel

- - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.jdbc.AbstractResultSet

      `connection, gdsHelper, row, rowDescriptor`

    - ### Fields inherited from interface java.sql.ResultSet

      `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBResultSet​(RowDescriptor rowDescriptor, java.util.List<RowValue> rows)` |
    `FBResultSet​(RowDescriptor rowDescriptor, java.util.List<RowValue> rows, FBObjectListener.ResultSetListener listener)` |
    `FBResultSet​(RowDescriptor rowDescriptor, FBConnection connection, java.util.List<RowValue> rows, boolean retrieveBlobs)` |
    `FBResultSet​(RowDescriptor rowDescriptor, FBConnection connection, java.util.List<RowValue> rows, FBObjectListener.ResultSetListener listener, boolean retrieveBlobs, boolean trimStrings)` |
    `FBResultSet​(FBConnection connection, FBStatement fbStatement, FbStatement stmt, FBObjectListener.ResultSetListener listener, boolean metaDataQuery, int rsType, int rsConcurrency, int rsHoldability, boolean cached)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `updateObject​(int columnIndex, java.lang.Object x, java.sql.SQLType targetSqlType)`
    `void` | `updateObject​(int columnIndex, java.lang.Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`
    `void` | `updateObject​(java.lang.String columnLabel, java.lang.Object x, java.sql.SQLType targetSqlType)`
    `void` | `updateObject​(java.lang.String columnLabel, java.lang.Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`

    - ### Methods inherited from class org.firebirdsql.jdbc.AbstractResultSet

      `absolute, addWarning, afterLast, allRowsFetched, beforeFirst, cancelRowUpdates, checkCursorMove, checkOpen, checkScrollable, clearWarnings, close, closeFields, deleteRow, fetcherClosed, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getExecutionPlan, getExplainedExecutionPlan, getFetchDirection, getFetchSize, getField, getField, getField, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getSynchronizationObject, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowChanged, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FBResultSet

          public FBResultSet​(FBConnection connection,
                             FBStatement fbStatement,
                             FbStatement stmt,
                             FBObjectListener.ResultSetListener listener,
                             boolean metaDataQuery,
                             int rsType,
                             int rsConcurrency,
                             int rsHoldability,
                             boolean cached)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### FBResultSet

          public FBResultSet​(RowDescriptor rowDescriptor,
                             java.util.List<RowValue> rows,
                             FBObjectListener.ResultSetListener listener)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### FBResultSet

          public FBResultSet​(RowDescriptor rowDescriptor,
                             java.util.List<RowValue> rows)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### FBResultSet

          public FBResultSet​(RowDescriptor rowDescriptor,
                             FBConnection connection,
                             java.util.List<RowValue> rows,
                             boolean retrieveBlobs)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### FBResultSet

          public FBResultSet​(RowDescriptor rowDescriptor,
                             FBConnection connection,
                             java.util.List<RowValue> rows,
                             FBObjectListener.ResultSetListener listener,
                             boolean retrieveBlobs,
                             boolean trimStrings)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### updateObject

          public void updateObject​(int columnIndex,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType,
                                   int scaleOrLength)
                            throws java.sql.SQLException

      Jaybird delegates to `AbstractResultSet.updateObject(int, Object, int)` and ignores the value of `targetSqlType`

      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(java.lang.String columnLabel,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType,
                                   int scaleOrLength)
                            throws java.sql.SQLException

      Jaybird delegates to `AbstractResultSet.updateObject(String, Object, int)` and ignores the value of `targetSqlType`

      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(int columnIndex,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType)
                            throws java.sql.SQLException

      Jaybird delegates to `AbstractResultSet.updateObject(int, Object)` and ignores the value of `targetSqlType`

      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject​(java.lang.String columnLabel,
                                   java.lang.Object x,
                                   java.sql.SQLType targetSqlType)
                            throws java.sql.SQLException

      Jaybird delegates to `AbstractResultSet.updateObject(String, Object)` and ignores the value of `targetSqlType`

      Throws:
        `java.sql.SQLException`